Whatsnew:  


coolfm 2.11               (November 16, 2003)    (20 rushes)


230. traps on language change, (added additional conditions)
229. Records browser: refresh info about file if its size changed
228. split-records bug: user can't rename parts
227. bug: traps if user plays files located in directory with "." in name
226. Removed any restictions in duration of recording - 'auto-split on parts' feature for "wav/coolfm format" 
225. bug: coolfm misses the rename of current wavs directory and doesn't find it on record start
224. bug: users can't perform delayed rename of files if recording to wav/coolfm 
223. There was a bug: if user wants create record in the root of disk then coolfm refuses this and creates it in working directory.
222. WAV/coolfm format was moved to the list of available I/O procedures.
221. Graphics functions are moved to coolfm.dll
220. Language files was moved to coolfm.dat
219. Record to WAV: don't update header so often (saving size of wav every time)
218. BTTV plugin updated by Axel (no clicks, correct mute on exit, stable volume, etc)
217. New AutoSleep event overrides the previous AutoSleep event
216. Changed format of coolfm skins (now it's a simple .zip file)
215. Resources (Images, Settings notebook) are stored in coolfm.dat (.zip) file now
214. additional function for BTTV plugin -   APIRET fmtuner_swtichmuteonexit(BOOL mute) informs plugin that tuner should be disabled on exit 
213. small button in the corner of container allows open WPS-folder with images
212. events: new action "shaker" - useful to generate noise in the morning :))
211. fixed troubles with exception of settings notebook from Tasks list;
210. coolfm icon updated (tnx to Validat0r);
    
coolfm 2.0 preview 10     (June 27, 2003)  (15 rushes) 

  Legend:    û = feature       + = expansion of old feature   i = info
             - = removed       ! = bugfix
             
209. + New skin "WineGirl" (similar to default)
208. + Popup menus: more elements are disabled if no object under mouse..
207. ! fixed traps caused by #200
206. ! Rotation freq.range of circular slider is limited with 60-160 MHz
205. ! Correct stop play/record on exit; (being compressed data is not saved correctly..)
204. + If coolfm is busy with playing/recording file & user wants exit then popup menu appears and the user have to submit exit. 
203. ! bug when switching to skin with the same size (heap of controls);
202. ! bug when drawing container title
201. + User can adjust travel period (Settings -> common)
200. û Sleep in N minutes button! Useful if you are going sleep and want auto-mute coolfm
199. + Events: Now you can use 'start in N minutes'
198. û Force code page change when user changes Language => you can use spanish coolfm on russian computer!
197. ! hidding of empty help bubble on startup
196. ! trying to fix problem with hang on exit if computer is performing time-expansive applications. (Increase priority on exit)
195. + Help updated
             
coolfm 2.0 preview 9     (June 15, 2003)  (3 rushes)

194. + Quick buttons indicate name of station in bubble help
193. ! Additional checking of pointers before strlen() call
192. + Scan function for AIMS Radiotrack ISA

coolfm 2.0 preview 8     (June 8, 2003)  (27 rushes)

191. bug: forget about removed freq/event and don't permit saving it
190. Disk Tree: all operations are performed with selected directory (was: some with selected, some under mouse cursor)
189. Highlight objects which will be processed with popup menu operations
188. Good bubble help
187. After adjusting frequency user must press Confirm button.
186. prohibit playing of file being recorded
185. If you run two instances of coolfm then opening of the second named pipe fails. Be careful!
184. New indicators of Record/Compress/Play state
183. Drag&drop sound files to Tree and Records container from Desktop
182. trap: pipe -> $switchrecord works fine now;
181. Red color of coolfm icon on SysTray while recording
180. When user drops an image over station/event and picture with this already exists, coolfm renames it to %date%-%time%.%extension%
179. If records directory is not defined then save record to coolfm's working directory
178. multiple modifications of settings notebook control elements
177. Don't collect records on startup if Records page not active
176. Removing records
175. Drag&drop: Records -> Tree;   qualitative D&D icons;
174. Writing $1 to pipe switches tuner to the first station. Useful for Remote control
173. Bug: VIO version doesn't switch to xxx.yy Mhz
172. Bug: removing of station => it's necessary shift index of current station
171. Bug: Changing thumbnails size in Stations increases quantity of items in SysTray popup menu
170. Painting buttons: Close, min, Prev/Next, Mute
169. New menu item: SysTray icon -> Mute
168. Checkbox "I have added AUTOFAIL=YES to CONFIG.SYS"  -- to prevent popup of "System message SYS0039". 
167. Object skin  -- completed;
166. First startup: detect country code and load corresponding language file
165. trap in demo: if no tuner selected, then coolfm traps..

coolfm 2.0 preview 7     (May 15, 2003)  (27 rushes)

164. Force closing all threads on exit;
163. Manual: description of basic concept 
162. bug: refresh after removing of active station makes coolfm trap
161. Demo: save short coolfm.cfg on exit
160. ops! jpeglib was linked to .exe :\  now detached to .dll
159. On-line help for novice users! 
158. Tested compatibility with new StBTV4LX.DLL  (BTTV subsystem)
157. Pipe: bugz fixed (MHz, name, ..)
156. DiskTree: popup menu with Remove, Create child, Rename functions 
155. Import .city with drag&drop!
154. WAV: calculating duration and bitrate
153. AverTV (direct) plugin: force unmute on startup
152. Record: while recording files, you can safely browse disk.
151. Pipe: new commands: $prev, $next, $quit, $switchmute, $switchrecord
150. Playing: while playing a file, you can safely browse disk.
149. Playing: repeated click stops playing/starts playing if was silent.
148. DiskTree: force forget last selected audio file
147. Convert: while converting you can browse disk. program processes change of direcory in right way.
146. Playing: fixed troubles with playing short audio files.
145. DiskTree: Open tree with the lastdir on startup
144. Config: Button 'Loop stations list', Button 'Mute when playing audio file'
143. Events: Now you can start/stop events creating flags on harddisk (file which you can create with more powerful scheduler)
142. Events: pressing mute turns over mute - it's wrong.. it's necessary strictly set mute.
141. Disk browser: draw icons with valign=center; save position of split-bar
140. Disk browser: changing directory => rescanning directory and collecting audio files
139. Disk browser: tree with drivers and subdirectories! open/close nodes..
138. Name of registered user is visible again in About page

coolfm 2.0 preview 6     (April 15, 2003)  (41 rushes)

137. Records -> popup menu -> new item "Play/stop"
136. icons/pictures refreshed; 
135. bug in embedded WAV recorder: timer doesn't run
134. Commercial and demo versions was united. This will simplify registration, reduce downloading time.
133. Object skin (min/max/close buttons; pop-up menu; correct application quit; )
132. aver-fm.dll initializes tuner in stereo mode now (?)
131. Drawing optimizations !
130. commands from pipe move cursor in PM window
129. Restored compatibility with SysTray WPS extender + added some improvements (station sync + active station is marked with checkbox, list of stations is sorted to N columns)
128. Empty container draws a message for user
127. Mark playing file with indicator
126. fixed group of troubles related to codecs
125. fished terrible bug in record with codec (bore clicks @#$@#%)
124. Checkbox "Listen pipe" (starting/ending NPipe thread)
123. Attention! the pipe opens in three seconds after program startup.
122. coolfm opens named pipe to listen external commands + keep pipe's name in .cfg 
121. Good toddler for playback and scan process
120. You can simultaneously record and play audio files (playing stream is inaudible for recorder).
119. Second DblClick stops playing current file
118. simple progress bar for any audio file
117. USB: don't install notify-semaphore on startup of usb plugin else the system traps :\
116. audio player (supports any codec); detached from coolfm recorder
115. wav player (doubleclick)
114. additional refresh of Bar on startup to update quick-buttons
113. Bar: keep changed fonts in .ski files
112. disable Refresh if active recording streams exist 
111. Pop-up menus are on your native language
110. '(De)Select all' item menu
109. Records: dinamic status line fill on demand
108. Status line: you can see version of hardware plugin, info about audio file, etc
107. Object skin (container with unsigned stations)
106. Auto complete record in N minutes
105. Every audio stream has its own timer; Showing current timer only;
104. Messages from plugins are on your native language
103. Drag&drop: moved audio files are removed from container + bug fixed related to wavs refresh
102. Now monitoring plug/unplug USB fm-tuner (Markus revealed me a trick) 
101. Rename audio files (rename busy file after record completion) + item in popup menu
100. Min/Max buttons for Config window 
 99. Recording audio file is marked with indicators (red circle - recording, yellow - compressing)
 98. Running event is marked with indicator (red circle)
 97. Checkbox: DeInit hardware on exit

coolfm 2.0 preview 5     (March 20, 2003)  (37 rushes)

96. DEMO: Restriction to record time
95. Bug: Editing name of an event
94. Bug: Stop timer after recording without codec 
93. "Multithread record" feature. Very hard to modify coolfm now..
92. Multilanguage support (rus, eng, ger)
91. Stefan Milcke have sent me new version of BTTV with Mute and Scan functions!
90. GemTek scan, mute fixed
89. Settings Notebook is morphing to multipage audio control application (now you can resize it, changed sequence of nbook pages, minimal size while tracking, load/save size of Notebook, control elements resorted)
88. empty device (Null/FM) is used to exclude access to hardware on startup
87. Plugin "AverTV (direct)" fixed and perfectly controls AverTVPhone 98/FM
86. Minimal priority for convert function 
85. Add converted audio file to container
84. User can't influence fm-tuner while scan process
83. Introduced Plug/Unplug notification for USB fm-tuner but it doesn't work :(
82. Stopper for plugins which doesn't support scan
81. Small delays added to USB plugin => stable 
80. Convert feature. You can convert audio files using codecs which have MMIO_CANWRITETRANSLATED flag
79. Change skin: move new skin to left top corner of previous skin
78. Fix of Trap on startup if Record page is active. 
77. DEMO: users can use Record feature but can't change skins :p
76. CLI: doesn't create subdirectories if can't find user's directory.
75. First Bonus packs prepared: "Russia, St.Petersburg", "USA, Oklahoma City"
74. Bug: take into consideration 'mute' setting on startup (DLink works fine now)
73. Record page: Small white hand switches between Scroll and Drag&drop mode
72. Drag & drop audio files from Records container. This is useful if you don't remember where this files are located.
71. CLI: new feature for coolfmvio "suspend". useful for owners of Brooktree tuners. You can start coolfm and keep it in memory. Push it out starting other copy of coolfmvio!
70. adjust bitrate for OGG codec
69. Record page: Show all audio files known to system
68. Record time indicator, overflow indicator (number of buffered blocks)
67. Buffered encoding to OGG is working fine now 
66. Using DosCreateThread with 0x00..002 flag for compatibility with OGG codec 
65. PNG support by Igor Saveliev!
64. Found a cause of OGG codec traps - small stack of coolfm  :\
63. PM/demo remembers user's directory and device now..
62. Enable/disable control elements (ex: "Use codec" is linked with "codecs combobox")
61. CLI/Demo: don't init tuner before 'I agree'  :p
60. Refresh, thumbnails size for Skins page

coolfm 2.0 preview 4     (March 1, 2003)   (23 rushes)

59. events::unmute/mute buttons fixs
58. coolfm homepage updated
57. keep marked element if user dblclicks in empty zone
56. Users can select use codec or not (record page).
55. Restriction for Brooktree-tuners: 87.0-108.0 MHz, else device becomes unusable until reboot
54. @#% Support of OS/2 audio codecs is introduced but ogg vorbis and mp3 don't work properly
53. Scan feature for D-Link tuner
52. @#% Support of PNG images (doesn't work properly)
51. Drag&Drop images on stations and events doesn't work! hey! why nobody reported this?
50. Support of BMP images (true color & 8 bit) as icons for stations, events, etc
49. trap on startup, images are not loaded but container titles use data about images (thnx to nikl and Axel)
48. Now you can switch between Brother skins (example: Radiator and RadiatorJ)
47. Conflict of two working coolfms disappeared.. 
46. CLI: commerical version and demo version
45. CLI: basic commands are introduced. I/O port change. 
44. Command line version of coolfm was created
43. Fixed bug: when you switch between tuner models some times, cooflm traps.
42. WarpIn install script was created
41. Binary coolfm is separated from user's data!!
40. New feature: User's directory
39. Default tuner: GemTek
38. Broken hardware plugins are not called now.
37. Hardware plugins show message box if can't load auxiliary dlls (Users are lazy to install USB or BTTV dlls).

coolfm 2.0 preview 3   (9 rushes)

36. Touching volume for BTTV/2 devices. Axel told me that disables noise and activates sound.
35. Scrolling of containers was fixed (thanx to WinGetKeyState())
34. Quick buttons are syncronized with Container of stations
33. Automatical add of new records to Records container
32. Don't overwrite jpegs in directories Stations and Events
31. Events::Recording transmissions
30. Hooks are removed from program..
29. Events::Switch to necessary station
28. Events::Mute button

coolfm 2.0 preview 2  (17 rushes)

27. Every container has its own size of thumbnails. 
26. Detaching of icons (containers with Stations and Events)
25. Events::Create/Remove events, Events autosave is ok now.
24. Events::Drop images to Events container
23. When dropping image over station we use DosCopy command now
22. 'Everyday' parameter in events. Auto deactivate non-permanent event.
21. Active events are marked 
20. Settings notebook is visible in stations list
19. Consistent loading of jpegs to containers on startup
18. Event "WakeUp"
17. Rename menu item in Stations container
16. Remember nbook page on startup
15. New container for skin change 
14. Joke dial adjusts frequency of current station.
13. Remember the last station, set it on startup
12. Only active station is colorful. All other stations are grayscaled in common gamma.
11. Popup menu allows change stations thumbnail size.

coolfm 2.0 preview 1  (10 rushes)

10. Edit station name, add station, remove group of stations, Drag&Drop jpegs on station.
 9. Hold RMB to scroll containers
 8. Radio stations are represented as objects!
 7. Call popup menu to select IO port for ISA tuners;
 6. Settings notebook was decorated: titles for containers, 
 5. Variable 'wavdirectory=' (coolfm.cfg) determines target directory for WAV files; (thanks to Kevin Johnson);
 4. coolfm supports D-Link USB DU-R100 fm-tuners now  (thanks to Markus Montkowski for his USB library);
 3. coolfm uses BTTV/2 (ported by Stefan Milcke)  to control TV-onboard fm-tuners now (thanks to Stefan Milcke, Bela-Andreas Bargel and Axel Hagedorn);
 2. fm-tuner model selection page was modified;
 1. coolfm uses mechanism of fm-tuner plugins now;  all tuners code was converted to plugin form.
 
  